Get Usages In Location - list

Lists subscription core usages for all skus used in a location, for a given type of quota.
List usages in cores for all skus used by a subscription in a given location, for a specific quota type.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Web/locations/{location}/usages?api-version=2026-07-15

URI Parameters

Name In Required Type Description
location
path True

string

minLength: 1

The name of the Azure region.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

CsmUsageQuotaCollection

The request has succeeded.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get usages in location for subscription

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/providers/Microsoft.Web/locations/West US/usages?api-version=2026-07-15

Sample response

{
  "nextLink": null,
  "value": [
    {
      "name": {
        "localizedValue": "Cores usage in West US",
        "value": "Cores usage in West US"
      },
      "currentValue": 55,
      "limit": 250,
      "unit": "Core Count"
    }
  ]
}

Definitions

Name Description
CsmUsageQuota

Usage of the quota resource.

CsmUsageQuotaCollection

Paged collection of CsmUsageQuota items

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

LocalizableString

Localizable string object containing the name and a localized value.

CsmUsageQuota

Usage of the quota resource.

Name Type Description
currentValue

integer (int64)

The current value of the resource counter.

limit

integer (int64)

The resource limit.

name

LocalizableString

Quota name.

nextResetTime

string (date-time)

Next reset time for the resource counter.

unit

string

Units of measurement for the quota resource.

CsmUsageQuotaCollection

Paged collection of CsmUsageQuota items

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

CsmUsageQuota[]

The CsmUsageQuota items on this page

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

LocalizableString

Localizable string object containing the name and a localized value.

Name Type Description
localizedValue

string

Localized name.

value

string

Non-localized name.